/**
 * The MIT License (MIT)
 *
 * Copyright (c) 2023 Stefano Cappa (Ks89)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON INFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { ElementRef, AfterViewInit } from '@angular/core';
import { EditorStateConfig, Extension } from '@codemirror/state';
import * as i0 from "@angular/core";
/**
 * CodeMirror component
 */
export declare class CodemirrorComponent implements AfterViewInit {
    content: string;
    appendExtensions: Extension[];
    language: string;
    host: ElementRef | undefined;
    ngAfterViewInit(): void;
    codemirrorInit(config: EditorStateConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodemirrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodemirrorComponent, "ks-codemirror", never, { "content": { "alias": "content"; "required": false; }; "appendExtensions": { "alias": "appendExtensions"; "required": false; }; "language": { "alias": "language"; "required": false; }; }, {}, never, never, false, never>;
}
